# -------------------------------------------------
# Project created by QtCreator 2010-04-18T11:52:19
# -------------------------------------------------
QT += opengl
QT += qt3support
TARGET = TAC3
TEMPLATE = app
SOURCES += src/MainWindow.cpp \
    src/main.cpp \
    src/TAC/Control/FileController.cpp \
    src/TAC/NeuralNetwork/NNApprox.cpp \
    src/TAC/NeuralNetwork/NN.cpp \
    src/TAC/FileIO/NNWriter.cpp \
    src/TAC/FileIO/NNReader.cpp \
    src/TAC/FileIO/NNData.cpp \
    src/TAC/ServiceLocator/ServiceLocator.cpp \
    src/UserFiles/TTTFiles/TTTServiceLocator.cpp \
    src/UserFiles/TTTFiles/NeuralNetwork/TTTFactory.cpp \
    src/UserFiles/TTTFiles/NeuralNetwork/TTTApprox.cpp \
    src/TAC/Control/NewFileDialog.cpp \
    src/TAC/View/NetworkViewTab.cpp \
    src/TAC/View/TabView.cpp \
    src/TAC/View/NetworkView.cpp \
    src/TAC/View/NetworkTable.cpp \
    src/TAC/Control/DeviceController.cpp \
    src/TAC/ServiceLocator/DeviceTester.cpp \
    src/TAC/ServiceLocator/DeviceProvider.cpp \
    src/UserFiles/TTTFiles/Devices/TTTDeviceSW.cpp \
    src/TAC/Control/DeviceOptionsDialog.cpp \
    src/TAC/View/DeviceViewTab.cpp \
    src/UserFiles/TTTFiles/View/TTTDeviceView.cpp \
    src/UserFiles/TTTFiles/Devices/TTTDeviceSWControls.cpp \
    src/UserFiles/TTTFiles/GameEngine/TTTEngineThread.cpp \
    src/UserFiles/TTTFiles/GameEngine/TTTEngine.cpp \
    src/UserFiles/TTTFiles/GameEngine/BoardPosition.cpp \
    src/TAC/Control/TestController.cpp \
    src/TAC/View/TestingViewTab.cpp \
    src/TAC/ServiceLocator/TestProvider.cpp \
    src/TAC/NeuralNetwork/NNTester.cpp \
    src/TAC/Control/TestOptionsDialog.cpp \
    src/UserFiles/TTTFiles/Testers/WLDTester.cpp \
    src/UserFiles/TTTFiles/Testers/RMSTester.cpp \
    src/UserFiles/TTTFiles/Trainers/SOITrainer.cpp \
    src/TAC/ServiceLocator/TrainerProvider.cpp \
    src/TAC/NeuralNetwork/NNTrainer.cpp \
    src/TAC/Control/TrainerOptionsDialog.cpp \
    src/TAC/Control/TrainerController.cpp \
    src/TAC/View/TrainingViewTab.cpp \
    src/TAC/View/TestGraph.cpp \
    src/TAC/View/TrainGraph.cpp
HEADERS += include/qwt_valuelist.h \
    include/qwt_text_label.h \
    include/qwt_text_engine.h \
    include/qwt_text.h \
    include/qwt_symbol.h \
    include/qwt_spline.h \
    include/qwt_scale_widget.h \
    include/qwt_scale_map.h \
    include/qwt_scale_engine.h \
    include/qwt_scale_draw.h \
    include/qwt_scale_div.h \
    include/qwt_round_scale_draw.h \
    include/qwt_raster_data.h \
    include/qwt_polygon.h \
    include/qwt_plot_zoomer.h \
    include/qwt_plot_svgitem.h \
    include/qwt_plot_spectrogram.h \
    include/qwt_plot_scaleitem.h \
    include/qwt_plot_rescaler.h \
    include/qwt_plot_rasteritem.h \
    include/qwt_plot_printfilter.h \
    include/qwt_plot_picker.h \
    include/qwt_plot_panner.h \
    include/qwt_plot_marker.h \
    include/qwt_plot_magnifier.h \
    include/qwt_plot_layout.h \
    include/qwt_plot_item.h \
    include/qwt_plot_grid.h \
    include/qwt_plot_dict.h \
    include/qwt_plot_curve.h \
    include/qwt_plot_canvas.h \
    include/qwt_plot.h \
    include/qwt_picker_machine.h \
    include/qwt_picker.h \
    include/qwt_panner.h \
    include/qwt_painter.h \
    include/qwt_paint_buffer.h \
    include/qwt_math.h \
    include/qwt_magnifier.h \
    include/qwt_legend_itemmanager.h \
    include/qwt_legend_item.h \
    include/qwt_legend.h \
    include/qwt_layout_metrics.h \
    include/qwt_interval_data.h \
    include/qwt_global.h \
    include/qwt_event_pattern.h \
    include/qwt_dyngrid_layout.h \
    include/qwt_double_rect.h \
    include/qwt_double_interval.h \
    include/qwt_dial_needle.h \
    include/qwt_data.h \
    include/qwt_curve_fitter.h \
    include/qwt_compass_rose.h \
    include/qwt_color_map.h \
    include/qwt_clipper.h \
    include/qwt_arrow_button.h \
    include/qwt_array.h \
    include/qwt_abstract_scale_draw.h \
    include/qwt_abstract_scale.h \
    include/qwt.h \
    src/MainWindow.h \
    src/TAC/Control/FileController.h \
    src/TAC/NeuralNetwork/NNFactory.h \
    src/TAC/NeuralNetwork/NNApprox.h \
    src/TAC/NeuralNetwork/NN.h \
    src/TAC/FileIO/NNWriter.h \
    src/TAC/FileIO/NNReader.h \
    src/TAC/FileIO/NNData.h \
    src/TAC/ServiceLocator/ServiceLocator.h \
    src/TAC/ServiceLocator/NNFactoryLocator.h \
    src/UserFiles/TTTFiles/TTTServiceLocator.h \
    src/UserFiles/TTTFiles/NeuralNetwork/TTTFactory.h \
    src/UserFiles/TTTFiles/NeuralNetwork/TTTApprox.h \
    src/TAC/Control/NewFileDialog.h \
    src/TAC/View/NetworkViewTab.h \
    src/TAC/View/TabView.h \
    src/TAC/View/NetworkView.h \
    src/TAC/View/NetworkTable.h \
    src/TAC/Control/DeviceController.h \
    src/TAC/NeuralNetwork/NNDevice.h \
    src/TAC/ServiceLocator/DeviceTester.h \
    src/TAC/ServiceLocator/DeviceProvider.h \
    src/UserFiles/TTTFiles/Devices/TTTDeviceSW.h \
    src/TAC/ServiceLocator/DeviceProviderLocator.h \
    src/TAC/Control/DeviceOptionsDialog.h \
    src/TAC/View/DeviceViewTab.h \
    src/TAC/View/DeviceView.h \
    src/UserFiles/TTTFiles/View/TTTDeviceView.h \
    src/UserFiles/TTTFiles/Devices/TTTDeviceSWControls.h \
    src/UserFiles/TTTFiles/GameEngine/TTTEngineThread.h \
    src/UserFiles/TTTFiles/GameEngine/TTTEngine.h \
    src/UserFiles/TTTFiles/GameEngine/Piece.h \
    src/UserFiles/TTTFiles/GameEngine/BoardPosition.h \
    src/TAC/Control/TestController.h \
    src/TAC/View/TestingViewTab.h \
    src/TAC/ServiceLocator/TestProviderLocator.h \
    src/TAC/ServiceLocator/TestProvider.h \
    src/TAC/NeuralNetwork/NNTester.h \
    src/TAC/Control/TestOptionsDialog.h \
    src/UserFiles/TTTFiles/Testers/WLDTester.h \
    src/UserFiles/TTTFiles/Testers/RMSTester.h \
    src/UserFiles/TTTFiles/Trainers/SOITrainer.h \
    src/TAC/ServiceLocator/TrainerProvider.h \
    src/TAC/ServiceLocator/TrainerProviderLocator.h \
    src/TAC/NeuralNetwork/NNTrainer.h \
    src/TAC/Control/TrainerController.h \
    src/TAC/Control/TrainerOptionsDialog.h \
    src/TAC/View/TrainingViewTab.h \
    src/TAC/View/TestGraph.h \
    src/TAC/View/TrainGraph.h
win32:LIBS += include/libqwtrelease.a
RESOURCES += resources/icons.qrc
