/**
* Matthew Netsch
* Feb 2010
*
* DeviceTester.cpp
*
* Header file for a thread that
* tests if a device is still
* connected.
*/

#include "DeviceTester.h"

/* Constructor */
DeviceTester::DeviceTester(NNDevice* myDevice)
{
    this->myDevice = myDevice;
}

/* Thread's entry method */
void DeviceTester::run()
{
    /* Test the connection */
    myDevice->testConnection();
}
