#include "TrainerProvider.h"

TrainerProvider::TrainerProvider()
{
    trainers = NULL;
    numTrainers = 0;
}

void TrainerProvider::load(NNTrainer* trainer)
{
    numTrainers++;
    trainers = (NNTrainer**)realloc(trainers, sizeof(NNTrainer*) * numTrainers);
    trainers[numTrainers - 1] = trainer;
}

NNTrainer** TrainerProvider::queryTrainers(int* len)
{
    (*len) = numTrainers;
    return trainers;
}
