#ifndef DEVICEVIEWTAB_H
#define DEVICEVIEWTAB_H

#include <QTextEdit>
#include <QSplitter>
#include "TabView.h"
#include "../NeuralNetwork/NNDevice.h"

class DeviceViewTab : public TabView
{
    Q_OBJECT

public slots:
    void deviceChanged(NNDevice* device);

public:
    DeviceViewTab();
    virtual status* getStatus();

private:
    NNDevice* currentDevice;
    QWidget*  getDefaultView();

};

#endif // DEVICEVIEWTAB_H
