#ifndef __BoardPosition__
#define __BoardPosition__

#include "Piece.h"
#include <cstdlib>

class BoardPosition
{
      private:
              int** pieces;
              int width;
              int height;
      
      public:
             BoardPosition(int width, int height);
             ~BoardPosition();
             
             void reset();
             bool addPiece(int piece, int x, int y);
             int getPiece(int x, int y);
             void movePiece(int x1, int y1, int x2, int y2);
             void removePiece( int x, int y );
             bool isOutOfBounds( int x, int y);
             int* row( int y, int* len);
             int* col( int x, int* len);
             
};

#endif
