/**
* Matthew Netsch
* Feb 2010
*
* TTTApprox.cpp
*
* Implements a Neural Network Approximator.
* Builds a neural network that can be used for
* tic tac toe. Registered as Version 2.
*/

#include "TTTApprox.h"

/* Constructor */
TTTApprox::TTTApprox()
{
   version = 2;                                               
   build();
}

/* Builds the neural network for a tic tac toe application */
void TTTApprox::build()
{

  int numLayers   = 4;
  int counts[]    = {19, 48, 9, 1};
  double gamma    = 0.1;
  double momentum = 0.5;

  net = new nn(&(counts[0]), numLayers, gamma, momentum);
}  

