/**
* Matthew Netsch
* Feb 2010
*
* TTTFactory.cpp
*
* Implements a Neural Network Factory.
* Constructs a tic tac toe neural network.
*/

#include "TTTFactory.h"

/* Creates the neural network */
NNApprox* TTTFactory::build(double* weights, int length)
{
        /* Creates the neural network approximator */
        NNApprox* approx = new TTTApprox();
        
        approx->store_weights(weights, length);
        
        return approx;
}

