/**
* Matthew Netsch
* Feb 2010
*
* TTTFactory.h
*
* Implements a Neural Network Factory.
* Constructs a tic tac toe neural network.
*/

#ifndef __TTTFactory__
#define __TTTFactory__

#include "../../../TAC/NeuralNetwork/NNFactory.h"
#include "TTTApprox.h"

class TTTFactory : public NNFactory
{
     public:
           virtual NNApprox* build(double* weights, int length);
};

#endif
