#include "TTTServiceLocator.h"

TTTServiceLocator::TTTServiceLocator()
{
    deviceProvider = NULL;
    testProvider   = NULL;
    trainerProvider = NULL;
}

NNFactory* TTTServiceLocator::LocateNNFactory()
{
    return new TTTFactory();
}

int TTTServiceLocator::getVersion()
{
   return 2;
}

char* TTTServiceLocator::toString()
{
    char* result = (char*)malloc(sizeof(char) * 30);

    strcpy(result, "Tic tac toe (19->48->9->1)");

    return result;
}

DeviceProvider* TTTServiceLocator::LocateDeviceProvider()
{
    return deviceProvider;
}

TrainerProvider* TTTServiceLocator::LocateTrainerProvider()
{ 
    return trainerProvider;
}

void TTTServiceLocator::setDeviceProvider(DeviceProvider* deviceProvider)
{
    this->deviceProvider = deviceProvider;
}

TestProvider* TTTServiceLocator::LocateTestProvider()
{
    return testProvider;
}

void TTTServiceLocator::setTestProvider(TestProvider* testProvider)
{
    this->testProvider = testProvider;
}

void TTTServiceLocator::setTrainerProvider(TrainerProvider* trainerProvider)
{
    this->trainerProvider = trainerProvider;
}

