#ifndef RMSTESTER_H
#define RMSTESTER_H

#include "../../../TAC/NeuralNetwork/NNTester.h"

class RMSTester: public NNTester
{

  private:
    double* errors;
    int numErrors;

  protected:
    virtual void clearStats();

   public:
    RMSTester();

    virtual double getError(double* outputs, int outLen, double expectedOutput);
    virtual QString* getName();
    virtual QString* getStats();

    virtual QString* getScaleName();
    virtual double getScaleMax();
    virtual QwtScaleDraw* getScaleDraw();

};

#endif
