/**
* Matthew Netsch
* Feb 2010
*
* NewFileDialog.h
*
* Dialog to select a new nn
*/

#ifndef NEWFILEDIALOG_H
#define NEWFILEDIALOG_H

#include <QDialog>
#include <QLabel>
#include <QGridLayout>
#include <QGroupBox>
#include <QPushButton>
#include <QComboBox>

#include <cstdlib>
#include <cstdio>
#include "../ServiceLocator/ServiceLocator.h"

class NewFileDialog : public QDialog
{
    Q_OBJECT

public slots:
    void submitted();
    void cancelled();

signals:
    void submit(int index);

public:
    NewFileDialog();

    bool isReady();

private:
    /* Widgets */
    QGridLayout     *layout;
    QLabel          *label;
    QComboBox       *combo;

    QPushButton     *submitButton;
    QPushButton     *cancelButton;

    bool             ready;

};

#endif // NEWFILEDIALOG_H
