/**
* Matthew Netsch
* Feb 2010
*
* NNReader.h
*
* Reader for reading a neural network file.
* Reads the version, constructs the factory
* that matches the version type, and then
* instructs it to create the network.
*/

#ifndef __NNReader__
#define __NNReader__

#include <cstdlib>
#include <cstdio>

#include "../NeuralNetwork/NNFactory.h"
#include "../ServiceLocator/ServiceLocator.h"

class NNReader
{
      public:
             NNApprox* read( FILE* pFile );
};

#endif
