/**
* Matthew Netsch
* Feb 2010
*
* NNFactory.h
*
* Interface for a factory that builds a neural network.
* Takes the weights and sets them when finished building
* the approximator.
*/

#ifndef __NNFactory__
#define __NNFactory__

#include "NNApprox.h"

class NNFactory
{
public:
    virtual NNApprox* build(double* weights, int length) = 0;

};

#endif
