/**
* Matthew Netsch
* Feb 2010
*
* DeviceTester.h
*
* Header file for a thread that
* tests if a device is still
* connected.
*/

#ifndef DEVICETESTER_H
#define DEVICETESTER_H

#include <QThread>
#include "../NeuralNetwork/NNDevice.h"

class DeviceTester : public QThread
{
private:
NNDevice*  myDevice;

public:
    DeviceTester(NNDevice* myDevice);

    virtual void run();
};

#endif // DEVICETESTER_H
