#include "ServiceLocator.h"

int ServiceLocator::numInstances;
ServiceLocator** ServiceLocator::instances;

ServiceLocator* ServiceLocator::locator(int version)
{
   for(int i = 0; i < numInstances; i++)
   {
       if( instances[i]->getVersion() == version )
           return instances[i];
   }
   
   return NULL;
}

ServiceLocator** ServiceLocator::getInstances(int* num)
{
    (*num) = numInstances;

    return instances;
}

void ServiceLocator::load(ServiceLocator* locator)
{
    static bool first = true;

    if(first == true)
    {
        first = false;
        instances = NULL;
        numInstances = 0;
    }

    numInstances++;

    instances = (ServiceLocator**)realloc(instances, sizeof(ServiceLocator*) * numInstances);

    instances[numInstances-1] = locator;
}

int ServiceLocator::getVersion()
{
    return -1;
}

NNFactory* ServiceLocator::LocateNNFactory()
{
    return NULL;
}

TestProvider* ServiceLocator::LocateTestProvider()
{
    return NULL;
}

TrainerProvider* ServiceLocator::LocateTrainerProvider()
{
    return NULL;
}

char* ServiceLocator::toString()
{
    return NULL;
}

DeviceProvider* ServiceLocator::LocateDeviceProvider()
{
    return NULL;
}
