#ifndef WLDTESTER_H
#define WLDTESTER_H

#include <cmath>
#include "../../../TAC/NeuralNetwork/NNTester.h"

class WLDTester: public NNTester
{
   private:
    double* errors;
    int numErrors;

   protected:
    virtual void clearStats();

   public:
    WLDTester();

    virtual double getError(double* outputs, int outLen, double expectedOutput);
    virtual QString* getName();
    virtual QString* getStats();

    virtual QString* getScaleName();
    virtual double getScaleMax();
    virtual QwtScaleDraw* getScaleDraw();

};

#endif
