#ifndef SOITrainer_H
#define SOITrainer_H

#include "../../../TAC/NeuralNetwork/NNTrainer.h"

class SOITrainer: public NNTrainer
{

  private:
    double* errors;
    int numErrors;

  protected:
    virtual void clearStats();

   public:
    SOITrainer();

    virtual void run();
    virtual QString* getName();
    virtual QString* getStats();


    virtual QString* getScaleName();
    virtual double getScaleMax();
    virtual QwtScaleDraw* getScaleDraw();
};

#endif
